System.Design 2.0.0.0 System.Object System.Collections.IList

The class, and any derived class, uses the class to contain and enumerate the designer regions for the control in a design host, such as vsprvslong.

For example, the method can be used to define and add regions to the collection.

Use the property to access the control designer object that contains the designer region collection. Use the methods and properties to examine and maintain the objects that are in the collection.

The collection dynamically increases as objects are added. Indexes in this collection are zero-based. Use the property to determine how many designer regions are in the collection. Use the members to provide the following functionality:

The method to add a single designer region to the collection.

The method to add a designer region at a particular index within the collection.

The method to remove a designer region.

The method to remove the designer region at a particular index.

The method to determine whether a particular designer region is already in the collection.

The method to retrieve the index of a designer region within the collection.

The indexer to get or set the designer region at a particular index, using array notation.

The method to remove all designer regions from the collection.

Represents a collection of objects within a control designer.

- Constructor
  2.0.0.0

  Use the constructor to create an empty collection. You can add elements to the collection by using the or method.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0

  The constructor creates an empty collection and sets the property to the specified control designer object. The visual designer, such as vsprvslong, uses the constructor to initialize a designer region collection for a specific control designer.

  You can add elements to the collection by using the or method.

  Initializes a new instance of the class for the specified control designer.

  The control designer that owns this collection of designer regions.
- Method
  2.0.0.0
  System.Int32 ``

  The method adds the specified object to the end of the collection. To add a object to the collection at a specific index location, use the method.

  Adds the specified object to the end of the collection.

  The index at which the region was added to the collection.

  The to add to the collection.
- Method
  2.0.0.0
  System.Void

  Use the method to remove all regions from the collection. To remove a specific region from the collection, use the method. To remove a region at a particular index, use the method.

  Removes all regions from the collection.

- Method
  2.0.0.0
  System.Boolean ``

  The method determines equality by using the method on the objects.

  The method performs a linear search; therefore, the average execution time is proportional to the property. Because template region collections are typically small, the performance of the linear search operation is not critical.

  Gets a value indicating whether the specified region is contained within the collection.

  true, if the region is in the collection; otherwise, false.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  Use the or method to add the design regions to the collection.

  Copies the elements of the collection to an object, starting at a particular index.

  The that is the destination of the copied regions. The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  System.Int32 To be added.

  The property is commonly used to determine the upper boundary index when iterating through objects in the collection. Because the collection indexes are zero-based, the first element is at index 0 and the last element is at index Count-1.

  Gets the number of objects in the collection.

- Method
  2.0.0.0
  System.Collections.IEnumerator

  Use the property together with a loop construct, such as while, for, or foreach statements, to enumerate through the object.

  Returns an enumerator that iterates through the collection.

  An that can be used to iterate through the collection.

- Method
  2.0.0.0
  System.Int32 ``

  The method determines equality by using the method on the objects.

  The method performs a linear search; therefore, the average execution time is proportional to the property. Because template region collections are typically small, the performance of the linear search operation is not critical.

  Returns the index of the specified object within the collection.

  The zero-based index of the first occurrence of within the collection; otherwise, -1, if is not in the collection.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  The method adds a object to the collection at a specific index location. To add a single to the end of the collection, use the method.

  When you insert an item into the collection, the indexes change for subsequent items in the collection.

  Inserts a object into the collection at the specified index.

  The zero-based index within the collection at which to insert the region. The to insert into the collection.
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the object has a fixed size.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the object is read-only.

- Property
  2.0.0.0
  System.Boolean To be added.

  Enumerating through a collection is not a thread-safe procedure intrinsically. Even when a collection is synchronized, other threads can still modify the collection. This causes exceptions during enumeration.

  Lock the collection by using the method during the whole enumeration to guarantee thread safety.

  Gets a value indicating whether access to the object is synchronized (thread safe).

- Property
  2.0.0.0
  System.Web.UI.Design.DesignerRegion `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.UI.Design.ControlDesigner To be added.

  The property provides a convenient means to access the control designer object for a designer region collection. For example, you can use the property to determine the type of control designer that owns the collection and to access the properties and methods of the control designer.

  Gets the control designer that owns the designer region collection.

- Method
  2.0.0.0
  System.Void ``

  The method removes the first occurrence of the specified region from the collection. If the object does not contain the specified , the collection remains unchanged. No exception is thrown.

  The method determines equality by using the method on the object.

  The method performs a linear search; therefore, the average execution time is proportional to the property. Because template region collections are typically small, the performance of the linear search operation is not critical.

  To remove a region at a particular index from the collection, use the method. To remove all regions from the collection, use the method.

  When you remove an item from the collection, the indexes change for subsequent items in the collection.

  Removes the specified object from the collection.

  The to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  Use the method to remove a region at a particular index from the collection. To remove a specified region from the collection, use the method. To remove all regions from the collection, use the method.

  When you remove an item from the collection, the indexes change for subsequent items in the collection.

  Removes the object at the specified index within the collection.

  The zero-based index within the collection of the to remove.
- Property
  2.0.0.0
  System.Object To be added.

  Enumerating through a collection is not a thread-safe procedure intrinsically. Even when a collection is synchronized, other threads can still modify the collection. This causes exceptions during enumeration.

  Lock the collection by using the method during the whole enumeration to guarantee thread safety. For detailed information about locking collections for thread-safe access, see .

  Gets an object that can be used to synchronize access to the object.

- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The that is the destination of the copied regions. The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  System.Int32 To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An that can be used to iterate through the collection.

- Method
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The index at which the item was added to the collection.

  The item to add to the collection.
- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true, if the region is in the collection; otherwise, false.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index of the first occurrence of the object within the collection; otherwise, -1, if the object is not in the collection.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index within the collection at which to insert the object. The object to insert into the collection.
- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The object to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index within the collection of the object to remove.